#include <allegro.h>
#include <stdio.h>

#include "prjxmain.h"
#include "city.h"

int CITY_LoadCityLoc(void)
{
   FILE *infile;

   infile=fopen("DAT\\CITYLOC.DAT","rb");
   if(infile==NULL)
   {
      allegro_exit();
      printf("I'm sory, DAT\\CITYLOC.DAT can't be loaded\n");
      exit(1);
   }

   fread(&CityLoc,sizeof(CityLoc),1,infile);

   fclose(infile);
   return(0);
}

int CITY_CheckForCity(void)
{
   int temp1;
   char *tempch;

   for(temp1=0;temp1<100;temp1++)
   {
   switch(GAME_STAT)
   {
      case MAINMAP:
         if(PL_player.x+8==CityLoc[temp1].x && PL_player.y+5==CityLoc[temp1].y)
         {
            fade_out(2);
            PL_player.x=CityLoc[temp1].plx-8;
            PL_player.y=CityLoc[temp1].ply-5;
            MAP_LoadTiles();
            MAP_LoadMap(CityLoc[temp1].datfile);
            MAP_LoadBG();
            MAP_ClearEnemies();
            MAP_LoadEnemies();
            MAP_DisplayBG();
            CurrentCity=temp1;
            MAP_DisplayMap();
            MAP_ShowPlayer(PL_player.direction);

            if(MidiVol)
               playmidi("AUDIO\\CITY1.MID");
            MH_Message=CityLoc[temp1].name;
            MH_MessageNeeded=1;
            GAME_STAT=CITY;
         }
         break;
      case CITY:
         if(PL_player.x+8==CityLoc[CurrentCity].ex && PL_player.y+5==CityLoc[CurrentCity].ey)
         {
            fade_out(2);
            PL_player.x=CityLoc[CurrentCity].x-8;
            PL_player.y=CityLoc[CurrentCity].y-5;
            MAP_LoadTiles();
            MAP_LoadMap("DAT\\MAP.DAT");
            MAP_LoadBG();
            MAP_ClearEnemies();
            MAP_LoadEnemies();
            MAP_DisplayBG();
            MAP_DisplayMap();
            if(MidiVol)
               playmidi("AUDIO\\NIGHTLND.MID"); // Start the music
            MAP_ShowPlayer(PL_player.direction);
            MH_Message="the Overworld";
            MH_MessageNeeded=1;
            GAME_STAT=MAINMAP;
         }
         return(0);
         break;
   }
   }
   return(0);
}

